﻿using FarPoint.Win.Spread;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LargeSpreadsheet
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            PopulateSpreadsheet();
        }

        private void PopulateSpreadsheet()
        {
            SheetView sheet = fpSpread.ActiveSheet;

            int i = 0;
            int rows = 70000;

            Random random = new Random();

            fpSpread.SuspendLayout();
            //sheet.AutoCalculation = false;
            //sheet.AutoUpdateNotes = false;
            //sheet.SuspendFormulaParsing();

            sheet.RowCount = rows;
            sheet.ColumnCount = 10;
            
            while (i < rows)
            {
                int j = 0;
                while (j < sheet.ColumnCount)
                {
                    sheet.Cells[i, j].Text = random.Next(10000, 200000).ToString();
                    ++j;
                }
                ++i;
            }

            sheet.RowHeader.Columns[0].Width = 60;

            //sheet.ResumeFormulaParsing();
            //sheet.AutoUpdateNotes = true;
            //sheet.AutoCalculation = true;
            fpSpread.ResumeLayout();
        }
    }
}
